public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Patrick Lauer" <patrick@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/numba/
Date: Sat, 16 Sep 2017 17:10:10 +0000 (UTC)	[thread overview]
Message-ID: <1505581806.7db850b4fe8aac6bebdcc31cfd06692e9b1b7622.patrick@gentoo> (raw)

commit:     7db850b4fe8aac6bebdcc31cfd06692e9b1b7622
Author:     Patrick Lauer <patrick <AT> gentoo <DOT> org>
AuthorDate: Sat Sep 16 16:46:14 2017 +0000
Commit:     Patrick Lauer <patrick <AT> gentoo <DOT> org>
CommitDate: Sat Sep 16 17:10:06 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7db850b4

dev-python/numba: Bump

Package-Manager: Portage-2.3.8, Repoman-2.3.3

 dev-python/numba/Manifest            |  1 +
 dev-python/numba/numba-0.35.0.ebuild | 43 ++++++++++++++++++++++++++++++++++++
 2 files changed, 44 insertions(+)

diff --git a/dev-python/numba/Manifest b/dev-python/numba/Manifest
index e230e11d33f..53649b9cd5a 100644
--- a/dev-python/numba/Manifest
+++ b/dev-python/numba/Manifest
@@ -1,2 +1,3 @@
 DIST numba-0.27.0.tar.gz 1247144 SHA256 aa75fc2ac7d958d4ac84ad55b279dd95ee5e6ffd247fdcf04800f167731184ca SHA512 3c84fa58bc5e84683b5e593b99f8c48cfc6e9fd0f41a2a18d8a4d9deba618cec1e764a0202bb71166cbeebf27b908044be29e3b183b01f31edc8e85c962df876 WHIRLPOOL 178ec9ddaf5d2a9594eb808350d5e96a8b78ef643595aa6d02d581a7cfb7c86ae4902fccade874244a286957a9d9f4708c89d48d2c914a3528b9abae9db181b2
 DIST numba-0.34.0.tar.gz 1603388 SHA256 d2575be1564883960ce38e684adab62d673917ce90d1a70a0ab6c42a45e9d059 SHA512 270bc9b2ea86e96285bd4075a216a31c3654b782e5e7fb26824ed0e57283a48f753542dab54995c14c0c7c303d8794659a1155eba1deb121c670fc4edde0f3aa WHIRLPOOL 9744c8daff1e22f75854afab93093823cbe01fc75b4c4bb074abfe407dd912f2242f143a8e7580f63a8e01df03d52c36cd23b2566af735dc4caec3c823ea4f83
+DIST numba-0.35.0.tar.gz 1647189 SHA256 32716ed34973326b72d535cfb045b58d1972f1605eb2a53001158dcfb0f155cc SHA512 48ee1e33e7ec1327a78c3485602e911f045df8b8dbb69da3004133e6da8cbb52388712b4aeffa1e41b83d20aaa88cc8c1202ef35aabbf3e0e04ad2875df789f0 WHIRLPOOL 88b9baa5f9b367b1ccfe5cadf534fced9a11d7e44dfcfe0dd0359bcc53485a7a7589adf8115ad66ecb5bb369d7aed1b3ccee232517976b7bedf464435676472d

diff --git a/dev-python/numba/numba-0.35.0.ebuild b/dev-python/numba/numba-0.35.0.ebuild
new file mode 100644
index 00000000000..40122f0ca61
--- /dev/null
+++ b/dev-python/numba/numba-0.35.0.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} )
+
+inherit distutils-r1
+
+DESCRIPTION="NumPy aware dynamic Python compiler using LLVM"
+HOMEPAGE="http://numba.pydata.org/"
+SRC_URI="https://github.com/${PN}/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="examples test"
+
+RDEPEND="
+	>=dev-python/llvmlite-0.19[${PYTHON_USEDEP}]
+	dev-python/numpy[${PYTHON_USEDEP}]
+	virtual/python-enum34[${PYTHON_USEDEP}]
+	virtual/python-funcsigs[${PYTHON_USEDEP}]
+	virtual/python-singledispatch[${PYTHON_USEDEP}]
+"
+DEPEND="${RDEPEND}
+	dev-python/setuptools[${PYTHON_USEDEP}]
+	test? (	dev-python/pytest[${PYTHON_USEDEP}] )
+"
+
+python_test() {
+	cd "${BUILD_DIR}"/lib* || die
+	${PYTHON} -c "import numba; numba.test()" || die
+}
+
+python_install_all() {
+	distutils-r1_python_install_all
+	if use examples; then
+		insinto /usr/share/doc/${PF}
+		doins -r examples
+		docompress -x /usr/share/doc/${PF}/examples
+	fi
+}


             reply	other threads:[~2017-09-16 17:10 UTC|newest]

Thread overview: 25+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-09-16 17:10 Patrick Lauer [this message]
  -- strict thread matches above, loose matches on Subject: below --
2020-04-26  6:49 [gentoo-commits] repo/gentoo:master commit in: dev-python/numba/ Michał Górny
2020-01-30 21:26 Michał Górny
2019-12-26 14:36 David Seifert
2018-08-12 14:45 Patrick Lauer
2018-07-21  0:06 Mikle Kolyada
2018-07-06 20:29 Mike Gilbert
2018-07-03 15:43 Mike Gilbert
2018-06-26 17:17 Mike Gilbert
2018-06-24  9:40 Mikle Kolyada
2018-04-13  3:47 Benda XU
2018-01-05 13:26 Michał Górny
2017-07-21  0:23 Sebastien Fabbro
2017-07-21  0:23 Sebastien Fabbro
2017-02-16 16:54 Sebastien Fabbro
2017-01-10  5:27 Sebastien Fabbro
2017-01-09 22:36 Aaron Bauman
2016-09-03  9:10 Patrick Lauer
2016-06-12 14:21 Patrick Lauer
2016-04-06  5:29 Patrick Lauer
2016-04-05 17:28 Patrick Lauer
2016-03-05 10:33 Patrick Lauer
2016-02-19  8:20 Patrick Lauer
2015-11-20 14:11 Benda XU
2015-11-04  6:40 Justin Lecher

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1505581806.7db850b4fe8aac6bebdcc31cfd06692e9b1b7622.patrick@gentoo \
    --to=patrick@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox